@extends('layouts.master')

@section('navigation')
    @if(Auth::user()->role==1)
        @include('local.managers.admins._navigation')
    @elseif(Auth::user()->role==2)
        @include('local.managers.sCoords._navigation')
    @elseif(Auth::user()->role==3)
        @include('local.managers.pCoords._navigation')
    @endif
@stop

@section('main')
    <div class="row">
            <div class="category" >
              <label for="annual_plans">Annual Plan</label>
              <div class="select">
                <select  class="selectpicker" name="annual_plan" id="annual_plans" onchange ="fetchAnnualReport(this)">
                  
                  @foreach ($annual_plans as $an_pl)
                    <option value='{{json_encode($an_pl)}}'>Annual Plan {{$an_pl->academic_year}}</option>
                  @endforeach
                </select>
              </div>
            </div>

    </div>

<script>
    function fetchAnnualReport(select){
        object_json = $(select).val();
        object_json = JSON.parse(object_json);
        semester_start = object_json.semester_start;
        semester_end = object_json.semester_end;
        program_id = object_json.program_id;
        annual_plan_id = object_json.annual_id;

        $.post(
        "{{ URL::action('AnnualPlansController@fetchAnnualReport') }}",
        { 
            semester_start: semester_start,
            semester_end: semester_end,
            program_id: program_id,
            annual_plan_id: annual_plan_id,
            academic_year:object_json.academic_year

        
        },
        function(data)
        {

        }
        );

    }

    fetchAnnualReport(document.getElementById('annual_plans'));
</script>
@section('included-js')
@include('global._datatables_js')
@stop
    
@stop

@section('javascript')



@stop
